Val 1 <input type="text" name="f1" id="f1" /> <br />

Val 2 <input type="text" name="f2" id="f2" onClick="clear_result()" onkeyup="check_lengh(this.value)" maxlength="2"   onkeydown="Javascript: if (event.keyCode == 13) find_result(); "/> <br />

Result <input type="text" name="res" id="res" /> <br />
<input type="hidden" value="Add" onclick="find_result();" />

<br />More : <br />
Val 3 <input type="text" name="f3" id="f3" /> <br />

Val 5 <input type="text" name="f5" id="f5" /> <br />

Val 4 <input type="text" name="f4" id="f4" onClick="clear_result()" onkeyup="check_lengh2(this.value)" maxlength="2"   onkeydown="Javascript: if (event.keyCode == 13) find_result2(); "/> <br />

Result <input type="text" name="res2" id="res2" /> <br />
<input type="hidden" value="Add" onclick="find_result2();" />

<script>
function check_lengh(val)
	{
    var len=val.length;
    if(len)
		{
			find_result();
		}
	}
	//1
    function find_result() {
    var f1 = parseInt(document.getElementById('f1').value);
    var f2 = parseInt(document.getElementById('f2').value);
    var res = f1*(f2/'100');
    document.getElementById('res').value = res;
	} 
	
	
	//2
	function check_lengh2(val)
	{
    var len=val.length;
    if(len)
		{
			find_result2();
		}
	}
	
	function find_result2() {
    var f3 = parseInt(document.getElementById('f3').value);
    var f5 = parseInt(document.getElementById('f5').value);
    var res = parseInt(document.getElementById('res').value);
    var f4 = parseInt(document.getElementById('f4').value);
    var res2 = (1.163*(f4-f5)*res/(1000*f3));
    document.getElementById('res2').value = res2;
	}

</script>    
<script type="text/javascript" src="jquery.js"></script>